Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002070 [DCSS] Bug Report major always 2010-07-24 18:34 2011-10-22 02:30
Reporter Incomp View Status public  
Assigned To rob
Priority normal Resolution no change required  
Status closed   Product Branch 0.7 ancient branch
Summary 0002070: Dark Blue turns up black.
Description When playing online on CAO (on a Mac, by the way), it seems that everything that is supposed to be dark blue is black instead. So, for example, when I select a race, any class that isn't recommended is invisible against the background unless I highlight it. And when I actually play the game, the area outside my LOS is invisible as well. It's like I'm in the abyss, permanently. Obviously, this makes the game nigh-unplayable. I'm sure I could fix it playing around with the options, but I don't pretend to understand those.
Additional Information
Tags No tags attached.
Attached Files ? file icon screencap.tiff [^] (125,660 bytes) 2010-07-24 19:06
png file icon screencap.png [^] (101,242 bytes) 2010-07-24 20:03


? file icon Crawl_Terminal.terminal [^] (7,707 bytes) 2010-07-24 20:07

- Relationships

-  Notes
(0006539)
OG17 (reporter)
2010-07-24 18:55

That stuff is supposed to be dark grey, you could try "colour.darkgrey = blue" or similar.
(0006540)
Fangorn (reporter)
2010-07-24 19:06

In Mac OS X Terminal Preferences, make sure "Display ANSI colors" and "Use bright colors for bold text are checked"

See attached screen capture for the settings I use.
(0006547)
Fangorn (reporter)
2010-07-24 20:08

I also attached an export of the terminal settings I use, which can be likewise imported in the Terminal app on Mac OS X
(0006551)
Incomp (reporter)
2010-07-25 02:18

Aha. Fangorn, your terminal settings worked perfectly. Sadly, everything that was once dark blue is now grey, as it is supposed to be. I like blue better, but I think I can handle that myself.

Thanks guys.
(0006555)
Fangorn (reporter)
2010-07-25 02:40

Try the link below if you want to tweak the colors some more.

http://ciaranwal.sh/2007/11/01/customising-colours-in-leopard-terminal [^]
(0008517)
rob (developer)
2010-09-12 23:15

seems like this was solved

- Issue History
Date Modified Username Field Change
2010-07-24 18:34 Incomp New Issue
2010-07-24 18:55 OG17 Note Added: 0006539
2010-07-24 19:06 Fangorn Note Added: 0006540
2010-07-24 19:06 Fangorn File Added: screencap.tiff
2010-07-24 20:03 Fangorn File Added: screencap.png
2010-07-24 20:07 Fangorn File Added: Crawl_Terminal.terminal
2010-07-24 20:08 Fangorn Note Added: 0006547
2010-07-25 02:18 Incomp Note Added: 0006551
2010-07-25 02:40 Fangorn Note Added: 0006555
2010-09-12 23:15 rob Note Added: 0008517
2010-09-12 23:15 rob Status new => resolved
2010-09-12 23:15 rob Fixed in Branch => 0.8 development branch
2010-09-12 23:15 rob Resolution open => no change required
2010-09-12 23:15 rob Assigned To => rob
2011-10-22 02:30 MarvinPA Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker